package com.ms.dal.mapper;

import com.ms.dal.entity.DsMessageConsumerQueue;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.ms.dal.entity.DsMessageConsumerQueue
 */
@Mapper
public interface DsMessageConsumerQueueMapper {

    int deleteByPrimaryKey(Long id);

    int insert(DsMessageConsumerQueue record);

    int insertSelective(DsMessageConsumerQueue record);

    DsMessageConsumerQueue selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DsMessageConsumerQueue record);

    int updateByPrimaryKey(DsMessageConsumerQueue record);

    int getCurrentQueueCount();

    int insertBatch(List<DsMessageConsumerQueue> queues);

    DsMessageConsumerQueue queryFirstRowByQueueId(@Param("queueId") String queueId);
}
